<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$floor_view = new floor_view();

// Run the page
$floor_view->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$floor_view->Page_Render();
?>
<?php include_once "header.php"; ?>
<?php if (!$floor_view->isExport()) { ?>
<script>
var ffloorview, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "view";
	ffloorview = currentForm = new ew.Form("ffloorview", "view");
	loadjs.done("ffloorview");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php } ?>
<?php if (!$floor_view->isExport()) { ?>
<div class="btn-toolbar ew-toolbar">
<?php $floor_view->ExportOptions->render("body") ?>
<?php $floor_view->OtherOptions->render("body") ?>
<div class="clearfix"></div>
</div>
<?php } ?>
<?php $floor_view->showPageHeader(); ?>
<?php
$floor_view->showMessage();
?>
<form name="ffloorview" id="ffloorview" class="form-inline ew-form ew-view-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="floor">
<input type="hidden" name="modal" value="<?php echo (int)$floor_view->IsModal ?>">
<table class="table table-striped table-sm ew-view-table">
<?php if ($floor_view->id->Visible) { // id ?>
	<tr id="r_id">
		<td class="<?php echo $floor_view->TableLeftColumnClass ?>"><span id="elh_floor_id"><?php echo $floor_view->id->caption() ?></span></td>
		<td data-name="id" <?php echo $floor_view->id->cellAttributes() ?>>
<span id="el_floor_id">
<span<?php echo $floor_view->id->viewAttributes() ?>><?php echo $floor_view->id->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($floor_view->Hostel_Name->Visible) { // Hostel_Name ?>
	<tr id="r_Hostel_Name">
		<td class="<?php echo $floor_view->TableLeftColumnClass ?>"><span id="elh_floor_Hostel_Name"><?php echo $floor_view->Hostel_Name->caption() ?></span></td>
		<td data-name="Hostel_Name" <?php echo $floor_view->Hostel_Name->cellAttributes() ?>>
<span id="el_floor_Hostel_Name">
<span<?php echo $floor_view->Hostel_Name->viewAttributes() ?>><?php echo $floor_view->Hostel_Name->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($floor_view->Floor->Visible) { // Floor ?>
	<tr id="r_Floor">
		<td class="<?php echo $floor_view->TableLeftColumnClass ?>"><span id="elh_floor_Floor"><?php echo $floor_view->Floor->caption() ?></span></td>
		<td data-name="Floor" <?php echo $floor_view->Floor->cellAttributes() ?>>
<span id="el_floor_Floor">
<span<?php echo $floor_view->Floor->viewAttributes() ?>><?php echo $floor_view->Floor->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
</table>
</form>
<?php
$floor_view->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<?php if (!$floor_view->isExport()) { ?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php } ?>
<?php include_once "footer.php"; ?>
<?php
$floor_view->terminate();
?>